Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultRealActualIngredientEquivalentType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultRealActualIngredientEquivalentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultRealActualIngredientEquivalentType extends Object implements Serializable

Java class for ConsultRealActualIngredientEquivalentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRealActualIngredientEquivalentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="KnownEffect" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
               <element name="StrengthDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v5}SubstanceWithStandardsType"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultRealActualIngredientEquivalentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `int`
  `getSequenceNr()`
  Gets the value of the sequenceNr property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `QuantityType`
  `getStrength()`
  Strength of the ingredient when it is an Active Substance.
  `String`
  `getStrengthDescription()`
  Alternative description of the strength that not fits in the fields Strength Quantity / Strength Unit.
  `SubstanceWithStandardsType`
  `getSubstance()`
  Gets the value of the substance property.
  `String`
  `getType()`
  Type of use for the specified substance (given by the link to the reference entity Substance).
  `Boolean`
  `isKnownEffect()`
  This ingredient (always excipient) has known effect(s).
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setKnownEffect(Boolean value)`
  Sets the value of the knownEffect property.
  `void`
  `setSequenceNr(int value)`
  Sets the value of the sequenceNr property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setStrength(QuantityType value)`
  Sets the value of the strength property.
  `void`
  `setStrengthDescription(String value)`
  Sets the value of the strengthDescription property.
  `void`
  `setSubstance(SubstanceWithStandardsType value)`
  Sets the value of the substance property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultRealActualIngredientEquivalentType

    public ConsultRealActualIngredientEquivalentType()

- ## Method Details

  - ### getType

    public String getType()
    Type of use for the specified substance (given by the link to the reference entity Substance). Possible values : - ACTIVE_SUBSTANCE: the substance participates in the medicinal product effect ; - EXCIPIENT: not active substance.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### isKnownEffect

    public Boolean isKnownEffect()
    This ingredient (always excipient) has known effect(s). Default is null, meaning this excipient is considered as an excipient without a known effect.
    Returns:
      possible object is `Boolean`

  - ### setKnownEffect

    public void setKnownEffect(Boolean value)
    Sets the value of the knownEffect property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isKnownEffect()`

  - ### getStrengthDescription

    public String getStrengthDescription()
    Alternative description of the strength that not fits in the fields Strength Quantity / Strength Unit. This field is empty when these fields can be filled in. In the case where the ingredient really contained in the medicinal product has an unknown strength, the following value is mentioned: “Quantum satis”. Examples: - ‘50 U DL50’ for ingredient ‘Clostridium Botulinum Toxin, Type A’ - ‘MT’ for ingredient ‘Calendula Officinalis’ - ‘D1’ for ingredient ‘Aconitum Napellus’ - ‘Quantum satis’ for ingredient ‘Clopidogrel Hydrogen Sulphate’
    Returns:
      possible object is `String`

  - ### setStrengthDescription

    public void setStrengthDescription(String value)
    Sets the value of the strengthDescription property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStrengthDescription()`

  - ### getStrength

    public QuantityType getStrength()
    Strength of the ingredient when it is an Active Substance.
    Returns:
      possible object is `QuantityType`

  - ### setStrength

    public void setStrength(QuantityType value)
    Sets the value of the strength property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getStrength()`

  - ### getSubstance

    public SubstanceWithStandardsType getSubstance()
    Gets the value of the substance property.
    Returns:
      possible object is `SubstanceWithStandardsType`

  - ### setSubstance

    public void setSubstance(SubstanceWithStandardsType value)
    Sets the value of the substance property.
    Parameters:
      `value` - allowed object is `SubstanceWithStandardsType`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getSequenceNr

    public int getSequenceNr()
    Gets the value of the sequenceNr property.

  - ### setSequenceNr

    public void setSequenceNr(int value)
    Sets the value of the sequenceNr property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`